# Use the official Node.js image as base
FROM node:14-alpine

# Set the working directory in the container
WORKDIR /usr/src/app

# Copy package.json and package-lock.json to the working directory
COPY package*.json ./

# Install app dependencies
RUN npm install

# Copy the rest of the application files to the working directory
COPY . .

# Expose the port on which your app runs
EXPOSE 3000

# Command to run the application
CMD ["node", "app.js"]
